Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.jul
Class CoreLoggerAdapter

    java.lang.Object
      org.apache.logging.log4j.spi.AbstractLoggerAdapter<Logger>
          org.apache.logging.log4j.jul.AbstractLoggerAdapter
              org.apache.logging.log4j.jul.CoreLoggerAdapter

All Implemented Interfaces:
  Closeable, org.apache.logging.log4j.spi.LoggerAdapter<Logger>

    public class CoreLoggerAdapter

extends AbstractLoggerAdapter

`Logger` registry implementation that uses log4j-core.

Since:
  2.1

Field Summary

Fields inherited from class org.apache.logging.log4j.spi.AbstractLoggerAdapter
`registry`

Constructor Summary
`CoreLoggerAdapter()`

Method Summary
`protected Logger` | `newLogger(String name, org.apache.logging.log4j.spi.LoggerContext context)`

Methods inherited from class org.apache.logging.log4j.jul.AbstractLoggerAdapter
`getContext`

Methods inherited from class org.apache.logging.log4j.spi.AbstractLoggerAdapter
`close, getContext, getLogger, getLoggersInContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreLoggerAdapter

    public CoreLoggerAdapter()

Method Detail

### newLogger

    protected Logger newLogger(String name,
                               org.apache.logging.log4j.spi.LoggerContext context)

  Specified by:
    `newLogger` in class `org.apache.logging.log4j.spi.AbstractLoggerAdapter<Logger>`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.